Package it.ernytech.tdlib

## Class TdApi.AddRecentlyFoundChat

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.AddRecentlyFoundChat

Enclosing class:
  TdApi

    public static class TdApi.AddRecentlyFoundChat
    extends TdApi.Function

Adds a chat to the list of recently found chats. The chat is added to the beginning of the list. If the chat is already in the list, it will be removed from the list first.

Returns `Ok`

### Field Summary

Fields
`long` `chatId` Identifier of the chat to add.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`AddRecentlyFoundChat()` Default constructor.
`AddRecentlyFoundChat​(long chatId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Identifier of the chat to add.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### AddRecentlyFoundChat

    public AddRecentlyFoundChat()

Default constructor.

#### AddRecentlyFoundChat

    public AddRecentlyFoundChat​(long chatId)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Identifier of the chat to add.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR